# -*- coding: utf-8 -*-

from south.db import db
from jumbo.db import HackForeignKey
from django.db import models
from ticket.models import *
from jumbo.db import models as jumbo_models
from jumbo.db.models import StatusField

class Migration:
    
    def forwards(self, orm):
        
        # Adding model 'TicketDocuments'
        db.create_table('ticket_ticketdocuments', (
            ('ticket', models.ForeignKey(orm.Ticket, related_name="documents", verbose_name=_("Ticket"), db_index=True)),
            ('id', models.AutoField(primary_key=True)),
            ('file', models.FileField(verbose_name=_("File"))),
        ))
        db.send_create_signal('ticket', ['TicketDocuments'])
        
        # Dropping ManyToManyField 'Ticket.documents'
        db.delete_table('ticket_ticket_documents')
        
    
    
    def backwards(self, orm):
        
        # Deleting model 'TicketDocuments'
        db.delete_table('ticket_ticketdocuments')
        
        # Adding ManyToManyField 'Ticket.documents'
        db.create_table('ticket_ticket_documents', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('ticket', models.ForeignKey(Ticket, null=False)),
            ('document', models.ForeignKey(document, null=False))
        ))
        
    
    
    models = {
        'ticket.ticketdocuments': {
            'file': ('models.FileField', [], {'verbose_name': '_("File")'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'ticket': ('models.ForeignKey', ['Ticket'], {'related_name': '"documents"', 'verbose_name': '_("Ticket")', 'db_index': 'True'})
        },
        'ticket.ticket': {
            'Meta': {'permissions': '(("can_view_tickets","Can view tickets"),("can_reopen_tickets","Can reopen tickets"),("list_all_tickets","Can list all tickets"),("list_own_contact_tickets","Can list own contact tickets"),("list_own_organization_tickets","Can list own organization tickets"),)'},
            'address': ('models.ForeignKey', ['OrganizationAddress'], {'db_index': 'True', 'related_name': "'tickets'", 'null': 'True', 'verbose_name': '_("Address")', 'blank': 'True'}),
            'assigned_by': ('models.ForeignKey', ['User'], {'db_index': 'True', 'related_name': '"tickets_assigned_by_me"', 'null': 'True', 'verbose_name': '_("Assigned by")', 'blank': 'True'}),
            'assigned_to': ('models.ManyToManyField', ['User'], {'db_index': 'True', 'related_name': '"tickets_assigned_to_me"', 'null': 'True', 'verbose_name': '_("Assigned to")', 'blank': 'True'}),
            'category': ('models.ForeignKey', ['"Category"'], {'verbose_name': '_("Category")', 'related_name': '"tickets"', 'blank': 'True', 'null': 'True', 'db_index': 'True'}),
            'contact': ('models.ForeignKey', ['Contact'], {'db_index': 'True', 'related_name': "'tickets'", 'null': 'True', 'verbose_name': '_("Contact")', 'blank': 'True'}),
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'deadline': ('models.DateField', [], {'null': 'True', 'verbose_name': '_("Deadline")', 'blank': 'True'}),
            'description': ('jumbo_models.HTMLField', [], {'verbose_name': '_("Description")'}),
            'duration': ('models.IntegerField', [], {'null': 'True', 'verbose_name': '_("Duration")', 'blank': 'True'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'keywords': ('models.CharField', [], {'max_length': '150', 'verbose_name': '_("Keywords")'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'note': ('models.TextField', [], {'null': 'True', 'verbose_name': '_("Note")', 'blank': 'True'}),
            'organization': ('models.ForeignKey', ['Organization'], {'db_index': 'True', 'related_name': '"tickets"', 'null': 'True', 'verbose_name': '_("Organization")', 'blank': 'True'}),
            'priority': ('models.IntegerField', [], {'default': '1', 'verbose_name': '_("Priority")', 'db_index': 'True'}),
            'project': ('models.ForeignKey', ["'TicketProject'"], {'db_index': 'True', 'related_name': '"tickets"', 'null': 'True', 'verbose_name': '_("Project")', 'blank': 'True'}),
            'public': ('models.BooleanField', [], {'default': 'False', 'verbose_name': '_("Public")'}),
            'status': ('models.IntegerField', [], {'default': '1', 'verbose_name': '_("Status")', 'db_index': 'True'}),
            'submitter': ('models.ForeignKey', ['User'], {'related_name': '"tickets_summitted"', 'verbose_name': '_("Submitter")', 'db_index': 'True'}),
            'tipology': ('models.ForeignKey', ['"Tipology"'], {'related_name': '"tickets"', 'verbose_name': '_("Tipology")', 'db_index': 'True'}),
            'title': ('models.CharField', [], {'max_length': '100', 'verbose_name': '_("Title")'})
        },
        'ticket.tipology': {
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'description': ('models.TextField', [], {'null': 'True', 'verbose_name': '_("Description")'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'name': ('models.CharField', [], {'max_length': '30', 'verbose_name': '_("Name")'}),
            'status': ('StatusField', [], {})
        },
        'ticket.settings': {
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'description': ('models.TextField', [], {'null': 'True', 'verbose_name': '"Description"', 'blank': 'True'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'name': ('models.CharField', [], {'max_length': '100', 'verbose_name': '"Name"'}),
            'type': ('models.CharField', [], {'max_length': '20', 'verbose_name': '_("Type")'}),
            'value': ('models.CharField', [], {'max_length': '500', 'null': 'True', 'verbose_name': '"Value"', 'blank': 'True'})
        },
        'auth.user': {
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'ticket.category': {
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'description': ('models.TextField', [], {'null': 'True', 'verbose_name': '_("Description")'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'name': ('models.CharField', [], {'max_length': '30', 'verbose_name': '_("Name")'}),
            'status': ('StatusField', [], {})
        },
        'ticket.ticketproject': {
            'Meta': {'ordering': "['name']", '_bases': ['jumbo.apps.project.models.Project'], 'permissions': '(("can_view_ticket_projects","Can view ticket projects"),("list_all_ticket_projects","Can list all ticket projects"),)'},
            'assistance_email': ('models.EmailField', [], {'null': 'True', 'verbose_name': '_("Assistance Email")', 'blank': 'True'}),
            'managers': ('models.ManyToManyField', ['User'], {'related_name': "'managed_ticketproject'", 'verbose_name': '_("Responsabile")'}),
            'project_ptr': ('models.OneToOneField', ["orm['project.Project']"], {}),
            'staff': ('models.ManyToManyField', ['User'], {'related_name': "'assigned_ticketprojects'", 'verbose_name': '_("Staff")'})
        },
        'project.project': {
            'Meta': {'ordering': "['name']", 'permissions': '(("can_view_projects","Can view projects"),("list_all_projects","Can list all projects"),)'},
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'organization.contact': {
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'organization.organization': {
            'Meta': {'unique_together': '(("vat_number","ssn",),)', 'permissions': '(("can_view_organizations","Can view organizations"),)'},
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'ticket.log': {
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'field': ('models.CharField', [], {'max_length': '100', 'verbose_name': '_("Field")'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'new_value': ('models.TextField', [], {'verbose_name': '_("New Value")'}),
            'old_value': ('models.TextField', [], {'verbose_name': '_("Old Value")'}),
            'ticket': ('models.ForeignKey', ['Ticket'], {'related_name': "'logs'", 'verbose_name': '_("Ticket")', 'db_index': 'True'})
        },
        'document.document': {
            'Meta': {'permissions': '(("list_all_documents","Can list all documents"),("list_own_documents","Can list own documents"),("modify_all_documents","Can modify all documents"),("modify_own_documents","Can modify only own documents"),("delete_own_documents","Can delete only own documents"),)'},
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'organization.organizationaddress': {
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'ticket.ticketassistance': {
            'Meta': {'permissions': '(("can_view_ticketassistances","Can view ticket assistances"),("list_all_ticketassistances","Can list all ticket assistances"),)'},
            'carrying': ('models.CharField', [], {'max_length': '3', 'blank': 'True', 'null': 'True', 'verbose_name': '_("carrying")', 'db_index': 'True'}),
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_begin': ('models.DateTimeField', [], {'verbose_name': '_("date begin")', 'blank': 'True', 'null': 'True', 'db_index': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_end': ('models.DateTimeField', [], {'verbose_name': '_("date end")', 'blank': 'True', 'null': 'True', 'db_index': 'True'}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'extra_duration': ('models.IntegerField', [], {'null': 'True', 'verbose_name': '_("extra duration")', 'blank': 'True'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'job_description': ('jumbo_models.HTMLField', [], {'null': 'True', 'verbose_name': '_("Job Description")', 'blank': 'True'}),
            'kilometers': ('models.IntegerField', [], {'null': 'True', 'verbose_name': '_("kilometers")', 'blank': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'overnight_stay': ('models.BooleanField', [], {'verbose_name': '_("overnight stay")'}),
            'pay_exit': ('models.BooleanField', [], {'verbose_name': '_("pay exit")', 'db_index': 'True'}),
            'ticket': ('models.ForeignKey', ['Ticket'], {'related_name': "'assistances'", 'verbose_name': '_("ticket")', 'db_index': 'True'}),
            'travel_duration': ('models.IntegerField', [], {'null': 'True', 'verbose_name': '_("travel duration")', 'blank': 'True'}),
            'work_duration': ('models.IntegerField', [], {'null': 'True', 'verbose_name': '_("work duration")', 'blank': 'True'}),
            'worker': ('models.ForeignKey', ['User'], {'related_name': "'assistances'", 'verbose_name': '_("worker")', 'db_index': 'True'})
        }
    }
    
    complete_apps = ['ticket']
