from datetime import datetime, time, timedelta

def update_work_extra_duration():
    from ticket.models import TicketAssistance
    tas = TicketAssistance.all_assistances.all()
    for ta in tas:
        if (
            (not ta.work_duration or not ta.extra_duration)
            and ta.date_begin and ta.date_end
        ):
            ta.save()

class Day(object):
    def __init__(self, day):
        self.day = day
        self.current_day = datetime(datetime.today().year, datetime.today().month, datetime.today().day)
        self.employees = []
        self.is_today = False
        self.is_holiday = False
        self.is_monday = False
        self.hide = False

    def hide_days(self, first_day):
        if self.day < first_day:
            self.hide = True

    def set_day_properties(self):
        # Se il giorno e' oggi metto is_today a true in modo che nel template potro'
        # differenziare questo giorno dagli altri
        #
        if self.day == self.current_day:
            self.is_today = True

        # Se il giorno e' festivo setto is_holiday a True in modo che nel template potro'
        # differenziare questi giorni dagli altri
        #
        if self.day.weekday() in (5,6):
            self.is_holiday = True

        if self.day.weekday() == 0:
            self.is_monday = True

    def add_employee(self, employee):
        self.employees.append(employee)


class EmployeeProperty(object):
    def __init__(self, employee):
        self.employee = employee
        self.total_time = None
        self.days = []
        self.assistances = []


class WorkerAssistance(object):
    def __init__(self):
        self.assistances = []
        self.worker = None
        self.num_assistances = 0
        self.total_hours = timedelta(0)